Skip to main content
PATCH
更新蓝图的内容和/或位置

权限

要求服务用户在组织级别具备 ManageRepoBlueprints 权限。创建或更新组织级蓝图需要 ManageOrgSnapshots 权限。

行为

更新蓝图的内容和/或位置。不会自动触发构建。

授权

Authorization
string
header
必填

服务用户凭据(前缀:cog_)

路径参数

blueprint_id
string
必填
org_id
string
必填

组织 ID(前缀:org-)

示例:

"org-abc123def456"

请求体

application/json

对组织层级或代码仓库层级的蓝图进行部分更新。

可提供任意字段子集。未设置的字段将保持不变。 如果为组织层级蓝图提供 position,则会返回 400 —— 只有代码仓库层级蓝图才有 position。不会触发构建。

contents
string | null

如果设置,则会用新版本替换该蓝图的 YAML 内容。

position
integer | null

如果设置,则更新此代码仓库层级蓝图的执行位置。位置不要求唯一;执行排序时如出现并列,服务器会任意决定先后顺序。

响应

成功响应

公开的 Blueprint 资源结构。

注意:type 枚举未来可能会扩展;客户端 MUST 以优雅方式 处理未知值。YAML 内容需通过 GET /blueprints/{id}/contents 单独获取。

blueprint_id
string
必填
created_at
integer
必填
repo_name
string | null
必填
type
enum<string>
必填
可用选项:
enterprise,
org,
repo
updated_at
integer
必填